org.apache.hadoop.yarn.server.scheduler

## Class OpportunisticContainerAllocator.AllocationParams

- java.lang.Object
- - org.apache.hadoop.yarn.server.scheduler.OpportunisticContainerAllocator.AllocationParams

- Enclosing class:
    OpportunisticContainerAllocator

      public static class OpportunisticContainerAllocator.AllocationParams
      extends Object

  This class encapsulates application specific parameters used to build a Container.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllocationParams()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContainerTokenExpiryInterval()` Get Container Token Expiry interval.
    `org.apache.hadoop.yarn.api.records.Resource` | `getIncrementResource()` Get Incremental Resource.
    `int` | `getMaxAllocationsPerSchedulerKeyPerRound()` Get the Max Allocations per Scheduler Key per allocation round.
    `org.apache.hadoop.yarn.api.records.Resource` | `getMaxResource()` Return Max Resource.
    `org.apache.hadoop.yarn.api.records.Resource` | `getMinResource()` Get Min Resource.
    `void` | `setContainerTokenExpiryInterval(int containerTokenExpiryInterval)` Set Container Token Expiry time in ms.
    `void` | `setIncrementResource(org.apache.hadoop.yarn.api.records.Resource incrementResource)` Set Incremental resource.
    `void` | `setMaxAllocationsPerSchedulerKeyPerRound(int maxAllocationsPerSchedulerKeyPerRound)` Set the Max Allocations per Scheduler Key per allocation round.
    `void` | `setMaxResource(org.apache.hadoop.yarn.api.records.Resource maxResource)` Set Max Resource.
    `void` | `setMinResource(org.apache.hadoop.yarn.api.records.Resource minResource)` Set Min Resource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllocationParams

          public AllocationParams()

  - ### Method Detail

    - #### getMaxResource

          public org.apache.hadoop.yarn.api.records.Resource getMaxResource()

      Return Max Resource.
      Returns:
        Resource

    - #### setMaxResource

          public void setMaxResource(org.apache.hadoop.yarn.api.records.Resource maxResource)

      Set Max Resource.
      Parameters:
        `maxResource` - Resource

    - #### getMinResource

          public org.apache.hadoop.yarn.api.records.Resource getMinResource()

      Get Min Resource.
      Returns:
        Resource

    - #### setMinResource

          public void setMinResource(org.apache.hadoop.yarn.api.records.Resource minResource)

      Set Min Resource.
      Parameters:
        `minResource` - Resource

    - #### getIncrementResource

          public org.apache.hadoop.yarn.api.records.Resource getIncrementResource()

      Get Incremental Resource.
      Returns:
        Incremental Resource

    - #### setIncrementResource

          public void setIncrementResource(org.apache.hadoop.yarn.api.records.Resource incrementResource)

      Set Incremental resource.
      Parameters:
        `incrementResource` - Resource

    - #### getContainerTokenExpiryInterval

          public int getContainerTokenExpiryInterval()

      Get Container Token Expiry interval.
      Returns:
        Container Token Expiry interval

    - #### setContainerTokenExpiryInterval

          public void setContainerTokenExpiryInterval(int containerTokenExpiryInterval)

      Set Container Token Expiry time in ms.
      Parameters:
        `containerTokenExpiryInterval` - Container Token Expiry in ms

    - #### getMaxAllocationsPerSchedulerKeyPerRound

          public int getMaxAllocationsPerSchedulerKeyPerRound()

      Get the Max Allocations per Scheduler Key per allocation round.
      Returns:
        maxAllocationsPerSchedulerKeyPerRound.

    - #### setMaxAllocationsPerSchedulerKeyPerRound

          public void setMaxAllocationsPerSchedulerKeyPerRound(int maxAllocationsPerSchedulerKeyPerRound)

      Set the Max Allocations per Scheduler Key per allocation round.
      Parameters:
        `maxAllocationsPerSchedulerKeyPerRound` - val.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.